@echo off
rem
rem Copyright 2008 Amazon Technologies, Inc.
rem 
rem Licensed under the Amazon Software License (the "License");
rem you may not use this file except in compliance with the License.
rem You may obtain a copy of the License at:
rem 
rem http://aws.amazon.com/asl
rem 
rem This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES
rem OR CONDITIONS OF ANY KIND, either express or implied. See the
rem License for the specific language governing permissions and
rem limitations under the License.
rem
rem
rem DESCRIPTION
rem
rem The loadHITs command loads HITs into Amazon Mechanical Turk. Before you can use this command, you must create an input file, a question file, and a properties file. If you are loading a single HIT, your question file can contain the question information. The question file is an XML file that conforms to the QuestionForm Data Structure. If you are loading multiple HITs, you should create a question template file. This file has the same XML format as the question file, but it contains placeholders for the fields defined in the input file. For each row in the input file, the system inserts the the fields into the placeholders of the template file. The number of rows in the input file determines how many HITs are created. For more information about these files, see Files Used by the Command Line Tools.
rem
rem If the HITs load successfully, this operation creates a .success file with the same name as your .input file. That is, if your input file is called MyHITs.input, then the .success file will be MyHITs.success. If the HITs do not load successfully, this operation creates a .failure file with the same name as your .input file. If you want to call this command multiple times with the same input file, you can use the label argument to change the name of the created file. For more information about the .success file and the .failure file see Files Used by the Command Line Tools.
rem 
rem More details (including info about the arguments) at  http://docs.amazonwebservices.com/AWSMechTurk/latest/AWSMturkCLT/CLTReference_LoadHITsCommand.html
rem
rem Other possible arguments: - preview -sandbox (not needed if the sandbox is specified in \Amazon Mechanical Turk\mech-turk-tools-1.3.0\bin\mturk.properties) 
rem

set CWD=%cd%
set FILENAME=vis_baserate
cd %MTURK_CMD_HOME%/bin
call loadHITs %1 %2 %3 %4 %5 %6 %7 %8 %9 -label %CWD%/%FILENAME% -input %CWD%/%FILENAME%.input -question %CWD%/%FILENAME%.question -properties %CWD%/%FILENAME%.properties   -sandbox
cd %CWD%

