@echo off
rem
rem Copyright 2008 Amazon Technologies, Inc.
rem 
rem Licensed under the Amazon Software License (the "License");
rem you may not use this file except in compliance with the License.
rem You may obtain a copy of the License at:
rem 
rem http://aws.amazon.com/asl
rem 
rem This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES
rem OR CONDITIONS OF ANY KIND, either express or implied. See the
rem License for the specific language governing permissions and
rem limitations under the License.
rem
rem
rem DESCRIPTION
rem
rem The getResults command retrieves the results of HITs submitted to Amazon Mechanical Turk. You must supply the name of a file that contains the IDs of the HITs. You can get this file from a call to loadHITs.
rem More details (including info about the arguments) at http://docs.amazonwebservices.com/AWSMechTurk/latest/AWSMturkCLT/CLTReference_GetResultsCommand.html
rem
rem Other possible arguments: -namevaluepairs (Outputs the results as name-value pairs instead of column format) -sandbox (not needed if the sandbox is specified in \Amazon Mechanical Turk\mech-turk-tools-1.3.0\bin\mturk.properties) 


set CWD=%cd%
set FILENAME=vis_baserate
cd %MTURK_CMD_HOME%/bin
call getResults %1 %2 %3 %4 %5 %6 %7 %8 %9  -successfile %CWD%/%FILENAME%.success -outputfile %CWD%/%FILENAME%.results   -sandbox
cd %CWD%
