@echo off
rem
rem Copyright 2008 Amazon Technologies, Inc.
rem 
rem Licensed under the Amazon Software License (the "License");
rem you may not use this file except in compliance with the License.
rem You may obtain a copy of the License at:
rem 
rem http://aws.amazon.com/asl
rem 
rem This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES
rem OR CONDITIONS OF ANY KIND, either express or implied. See the
rem License for the specific language governing permissions and
rem limitations under the License.
rem
rem
rem DESCRIPTION
rem
rem The reviewResults command allows you to approve or reject multiple assignments from a file. You use the output file from getResults to specify which assignments to reject. All other assignments are approved.
rem
rem To use the reviewResults command
rem
rem Run getResults.
rem Open the output file.
rem For each assignment you want to reject, type any character in the "reject" column for that assignment.
rem Specify the file in the -resultsfile argument for the reviewResults command.
rem Run the reviewResults command.
rem Important
rem Any mark in the "reject" column for an assignment causes the assignment to be rejected. Any unmarked assignments are accepted.
rem 
rem More details (including info about the arguments) at http://docs.amazonwebservices.com/AWSMechTurk/latest/AWSMturkCLT/CLTReference_ReviewResultsCommand.html
rem
rem Other possible arguments: -sandbox (not needed if the sandbox is specified in \Amazon Mechanical Turk\mech-turk-tools-1.3.0\bin\mturk.properties) 


set CWD=%cd%
set FILENAME=vis_baserate
cd %MTURK_CMD_HOME%/bin
call reviewResults %1 %2 %3 %4 %5 %6 %7 %8 %9 -resultsfile %CWD%/%FILENAME%.results  -sandbox
cd %CWD%
