@echo off
rem
rem Copyright 2008 Amazon Technologies, Inc.
rem 
rem Licensed under the Amazon Software License (the "License");
rem you may not use this file except in compliance with the License.
rem You may obtain a copy of the License at:
rem 
rem http://aws.amazon.com/asl
rem 
rem This file is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES
rem OR CONDITIONS OF ANY KIND, either express or implied. See the
rem License for the specific language governing permissions and
rem limitations under the License.
rem
rem
rem DESCRIPTION
rem
rem The deleteHITs command deletes your HITs from Amazon Mechanical Turk. Use the arguments to specify how to handle assignments that have not been approved or are still available to Workers. You specify the HITs to delete in a file, which you generate as the output of getResults.
rem
rem More details (including info about the arguments) at http://docs.amazonwebservices.com/AWSMechTurk/latest/AWSMturkCLT/CLTReference_DeleteHITsCommand.html
rem
rem Other possible arguments: -force -sandbox (not needed if the sandbox is specified in \Amazon Mechanical Turk\mech-turk-tools-1.3.0\bin\mturk.properties)


set CWD=%cd%
set FILENAME=vis_baserate
cd %MTURK_CMD_HOME%/bin
call deleteHITs %1 %2 %3 %4 %5 %6 %7 %8 %9 -successfile %CWD%/%FILENAME%.success -approve -expire  -sandbox
cd %CWD%
